## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.services
Class ASASQLDataService

    java.lang.Object
      org.eclipse.datatools.sqltools.core.services.SQLDataService
          org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.services.ASASQLDataService

    public class ASASQLDataService

extends org.eclipse.datatools.sqltools.core.services.SQLDataService

Author:
  hcao

Field Summary
`static java.lang.String[]` `DATATYPE` Comment for `DATATYPE` List of all ASA datatypes used for parameters & variables
`static java.lang.String[]` `DATATYPE_ALIAS`

Constructor Summary
`ASASQLDataService()`

Method Summary
`java.lang.String[]` `getDatatypeAliases()`
`org.eclipse.datatools.sqltools.core.DataTypeProvider` `getDataTypeProvider()`
`java.lang.String[]` `getDatatypes()`
`org.eclipse.datatools.sqltools.core.DataTypeValidator` `getDataTypeValidator()`
`org.eclipse.datatools.sqltools.core.ISqlDataValidator` `getSQLDataValidator(org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier)`

Methods inherited from class org.eclipse.datatools.sqltools.core.services.SQLDataService
`getJDBCTypeForNamedType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATATYPE

    public static final java.lang.String[] DATATYPE

  Comment for `DATATYPE` List of all ASA datatypes used for parameters & variables

### DATATYPE_ALIAS

    public static final java.lang.String[] DATATYPE_ALIAS

Constructor Detail

### ASASQLDataService

    public ASASQLDataService()

Method Detail

### getDatatypes

    public java.lang.String[] getDatatypes()

  Overrides:
    `getDatatypes` in class `org.eclipse.datatools.sqltools.core.services.SQLDataService`

### getDatatypeAliases

    public java.lang.String[] getDatatypeAliases()

  Overrides:
    `getDatatypeAliases` in class `org.eclipse.datatools.sqltools.core.services.SQLDataService`

### getSQLDataValidator

    public org.eclipse.datatools.sqltools.core.ISqlDataValidator getSQLDataValidator(org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier)

  Overrides:
    `getSQLDataValidator` in class `org.eclipse.datatools.sqltools.core.services.SQLDataService`

### getDataTypeProvider

    public org.eclipse.datatools.sqltools.core.DataTypeProvider getDataTypeProvider()

  Overrides:
    `getDataTypeProvider` in class `org.eclipse.datatools.sqltools.core.services.SQLDataService`

### getDataTypeValidator

    public org.eclipse.datatools.sqltools.core.DataTypeValidator getDataTypeValidator()

  Overrides:
    `getDataTypeValidator` in class `org.eclipse.datatools.sqltools.core.services.SQLDataService`